# bayesian-spam-filter

## Report

Given SMSSpamCollection.txt was split in half for report

First half was used for generation, second half for actual filter

(Files included in test for convenience)

Results:

    Spam precision:   0.935135
    Spam recall:      0.39229
    Ham precision:    0.780777
    Ham recall:       0.987584
    Spam F-Score:     0.552716
    Ham F-Score:      0.872088
    Accuracy:         0.689937

## Compiling the project

Prerequisites
  - C++11

In order to compile the project, simply run these two commands:

    cmake -B build -S .
    cmake --build build

## Running the Project

The program should now be compiled at build/bin/filter

Simply run the program using:

    build/bin/filter

## Usage
Use the `--help` argument for usage help
